<template>
  <div class="wp-12 wp-layout wp-layout--no-pad wp-layout--form">
    <div class="wp-12 wp-layout wp-layout--no-pad">
      <div class="wp-12 wp-layout wp-layout--no-pad">
        <wp-input type="switch" v-model="organization.teamplay_enabled"
          label="Группы"/>
        <wp-input type="switch" v-model="organization.market_enabled"
          label="Магазин"/>
        <wp-input type="switch" v-model="organization.reasons_enabled"
          label="Причины"/>
        <wp-input type="switch" v-model="organization.categories_enabled"
          label="Категории"/>
        <wp-input type="switch" v-model="organization.statistics_enabled"
          label="Статистика"/>
        <wp-input type="switch" v-model="organization.achievements_enabled"
          label="Достижения"/>
        <wp-input type="switch" v-model="organization.anonymization_enabled"
          label="Анонимизация"/>
      </div>
      <wp-input class="wp-12" type="text" v-model="organization.name"
        label="Название организации" placeholder="Введите название"/>
    </div>
    <div class="wp-12 wp-layout wp-layout--no-pad">
      <button class="wp-button wp-button--margin-right" @click="submit">
        Сохранить изменения
      </button>
      <button class="wp-button wp-button--cancel" @click="$emit('close')">
        Отменить
      </button>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

import WpInput from '@/components/WpInput.vue';

export default {
  name: 'Organization',
  components: {
    WpInput,
  },
  data() {
    return {
      organization: {
        name: '',
        categories_enabled: false,
        statistics_enabled: false,
        achievements_enabled: false,
        anonymization_enabled: false,
        teamplay_enabled: false,
        market_enabled: false,
        reasons_enabled: false,
      },
    };
  },
  methods: {
    ...mapActions('admin', ['createOrganization']),
    async submit() {
      try {
        await this.createOrganization(this.organization);
        this.$toasted.success('Организация создана');
        this.$emit('close');
      } catch (errors) {
        if (errors.length) {
          errors.forEach((err) => {
            this.$toasted.error(err.message);
          });
        } else {
          this.$toasted.error('Неизветсная ошибка');
        }
      }
    },
  },
};
</script>

<style></style>
